
</p>

<p align="center">

<img src="https://cdn.discordapp.com/attachments/1002971376551989369/1046227393825755196/steelworksheader.png">

</p>

<h2>  About: </h2>

How To Craft Steel and Weapons: 


>* First Build the Steelworks Forge. We will also need the Steelworks Kiln, Steel Bar Mould, and SlackTub.
>* We can then craft Surtling Coal and our Crucible - this is crafted on the forge using Surtling Cores and Coal, the Crucible is crafted with IronScrap and Coal.
>* Place the Crucilbe into the Steelworks Kiln with the Surtling Coal, keep that fire toasty!
>* Once completed we will have the Molten Steel - Pour that into the Steelworks Mold and let it cool.
>* After cooled a bit we can toss the hot steel into the SlackTub to oxidize it - This will give us our Steel Bars we can use for crafting the Weapon Display or SteelBarStacks.
>* If we want to create a weapon we simply take the Steel Bars and heat them in the Kiln so that we can forge a weapon at the Steelcrafting Forge.
>* We can also put the hot steel bars back into the SlackTub should we want to cool them again for crafting stacks and weapon stands.
>* 2 handed swords, crossbows, axes, swords, polearms, daggers, maces, and more, there are over 120 weapons for you to set configs for.

<details><summary><b>Show Station Recipes</b></summary>

|CWS_Forge|  |
|-----|--------|
|Stone |10       |
|Iron |5      |
|DragonTear |1      |
  
|CWS_Slack_Tub|  |
|-----|--------|
|Iron |1       |
|CWS_SurtlingCoal |1      |
|RoundLog |5      |

|CWS_Stone_Kiln|  |
|-----|--------|
|CWS_SurtlingCoal |2       |
|Iron |5      |
|Stone |20      |

|CWS_Steel_Mold|  |
|-----|--------|
|Iron |1       |
|CWS_SurtlingCoal |2      |
|Stone |5      |

|CWS_Item_Stand|  |
|-----|--------|
|CWS_Cold_Steel |4       |
|CWS_SurtlingCoal |2      |
|DeerHide |2      |
  
|CWS_Item_Stand_2|  |
|-----|--------|
|CWS_Cold_Steel |4       |
|CWS_SurtlingCoal |2      |
|DeerHide |2      |

|CWS_Steel_Pile|  |
|-----|--------|
|CWS_Cold_Steel |20       |
|CWS_SurtlingCoal |2      |
|DeerHide |2      |

|CWS_SurtlingCoal|  |
|-----|--------|
|Coal |5       |
|SurtlingCore |1      |

|CWS_Crucible_Full|  |
|-----|--------|
|CWS_SurtlingCoal |2       |
|IronScrap |5      |

>Note: All steel weapon recipes can be configured via config file, this syncs with the server's config settings.

|CWS_Weapons|  |
|-----|--------|
|CWS_Hot_Steel_Finished |2       |
|RoundLog |2      |


</details>

**IMPORTANT NOTE: THIS MOD USES THE LATEST MISTLANDS ITEMMANAGER! Mods using the older versions may cause crafting tables or chests to not work properly when running them with new mods built on the latest ItemManager, those mods will need updated.


<h2>  Features:</h2>

- Buildable Steelworking Items, Forge Table, Kiln, SlackTub, and SteelBar Mold. There is also steel bars stacks that can be placed for storage and a Weapon Display Banner.

- 130 weapons for tons of styles!

- Crossbows and 2 handed swords, 2 handed axes, polearms, bows, and more!

- Weapons are balanced for Mistlands

- Crafting Configuration options of each weapon! Please use Wacky's Database to edit values of weapons.

- Want to avoid Steelworking? No problem, you can edit the config and set crafting to "SwordCheat" or change recipes of anything to remove the Steelworking process.

- Works with other mods, no changes to attack animations or anything that could cause problems

- Built on Serversync, ItemManager and PieceManager by Azumatt and Blaxxun!


<p align="center">

<p align="center"><img src="https://cdn.discordapp.com/attachments/1002971376551989369/1046227393511165952/tableheader.png"></p>



<details><summary><b>Show Weapon Screenshots:</b></summary>


<p align="center"><img src="https://cdn.discordapp.com/attachments/1021774386753196122/1059456177915826216/image.png"></p>

<p align="center"><img src="https://cdn.discordapp.com/attachments/1021774386753196122/1050963211815497769/image.png"></p>

<p align="center"><img src="https://cdn.discordapp.com/attachments/1021774386753196122/1050963212125864047/image.png"></p>

<p align="center"><img src="https://cdn.discordapp.com/attachments/1021774386753196122/1050963259236298812/image.png"></p>

<p align="center"><img src="https://cdn.discordapp.com/attachments/1021774386753196122/1050963259559256124/image.png"></p>

<p align="center"><img src="https://cdn.discordapp.com/attachments/1021774386753196122/1050966100583665804/image.png"></p>

</details>


<p align="center">Click to Buymeacoffee - Free Shark Hat and Tuna Sword Gift on Page:</p>

<p align="center"><a href="https://www.buymeacoffee.com/Gravebear"><img src="https://cdn.discordapp.com/attachments/1002971376551989369/1038591260723789824/GBSupporter.png"></a></p>



<h2>  Install Notes: </h2>

>Mod is required on both server and client for config sync to work.

<h2> Manual Install: </h2>

>>Please download the latest copy of Bepinex per author's instructions.

>>Place the DLL's Folder inside of the "Bepinex\plugins\" folder.

<p>

<p align="center"><h2>For Questions or Comments find Gravebear in the Odin Plus Team on Discord:</h2></p>

<p align="center"><a href="https://discord.gg/mbkPcvu9ax"><img src="https://i.imgur.com/Ji3u63C.png"></a></p>

<h2>Special Thanks to Lagoshi and ErDu for all the testing, translations and screenshot, Azumatt & Blaxxun for code managers, and of course all of the OdinPlus Team and community!

<h2> Updates: </h2>

#Version 0.0.4 - 
 Release the Kraken!

#Version 0.0.5 - 
 Re-Release the Kraken!
 
#Version 0.0.6 - 
 Fixed a missing collider on one of the Swords.
 
#Version 0.0.7 - 
 Updated internal dll files for ItemManager, removed "Full" configuration ability and set to "Crafting" - this was causing performance issues with Configuration Manager. Please use Wacky's Database for full configuration options. I plan to add an external YAML for this later but for now this will help prevent the game crashing with Configuration Manager.

#Version 0.0.8 - 
 Dependency Hot-fix

#Version 0.0.9 - 
 Corrected issue that could have prevented the config file from updating 

#Version 0.0.10 - 
 Added "Heater" style shields and 2 more spears.

#Version 0.0.11 - 
 Fixed Missing Asset

#Version 0.0.12 - 
 Corrected attach for new Heater Shields

#Version 0.0.14 - 
 Added several more weapons, as if there wasn't enough.

#Version 0.0.15 - 
 Updated all textures for weapons, removed snapshot of icons when loading mod/into the game, added internal sprite icons. Corrected amount crafted for Crucible, set from 5 to 1.

#Version 0.0.16 - 
 Fixed missing effects on Dagger_7

#Version 0.0.17 - 
 Changed Piecemanager.dll to Piecemanager.cs on the internal side, fixed name for Sledge 10 and added Sledge 11.
 
#Version 0.0.18 - 
 Added grinding wheel station upgrade of the forge.
 
#Version 0.0.19 - 
Removed recipe for materials to prevent players from recycling them for the cheat sword. You may need to delete the old config for this to change.

#Version 0.1.0 - 
Added English Translation file

#Version 0.1.1 - 
Fixed Translation files, added Spanish Translation, Thank you ErDu

#Version 0.1.2 - 
Fixed Grinding Wheel piece collider for terrain. Added Config options for the Station Extension range and station. Corrected building audio sfx for Table and Kiln build/destroy.

#Version 0.1.3 - 
Corrected translation file names, required full mod name in translation file title. Oops, sorry about that.

#Version 0.1.4 - 
Added a generic material instead of CheatSword to allow configuration of Steelworks Materials. Increased crafting cost of weapons as some had stated they are too cheap to craft, please edit config as needed.

#Version 0.1.5 - 
Recreated icons to make them easier to see, corrected several colliders.